import * as React from 'react';
import { TailWindCSS } from './../../types/TailWindProps';
export interface TextProps extends TailWindCSS {
    bold?: boolean;
    center?: boolean;
    children: any;
    /**
     * color of headline
     */
    color?: string;
    className?: string;
    paragraph?: boolean;
    size?: string;
    textProps?: React.HTMLProps<HTMLParagraphElement | HTMLSpanElement>;
    uppercase?: boolean;
    /**
     * style object
     *
     */
    style?: React.CSSProperties;
}
export declare const Text: React.FunctionComponent<TextProps>;
